<?php
require('../../functions/conexion.php');
function get_nota($id_nota){
    $nota = query("CALL sp_cons_nota(2,'$id_nota')");
    $datos=array();
    while($resultado=mysqli_fetch_assoc($nota))
    {
        //$datos[0]["ID"]=$resultado["ID"];
        //$datos[2]["HORA_INI"] = $resultado["HORA_INI"];
        //$datos[4]["EDICION"] = $resultado["EDICION"];
        //

        $datos[0]["CLAVE"] = $resultado["CLAVE"];
        $datos[1]["NOMBRE"] = $resultado["NOMBRE"];
        $datos[2]["ZONA"] = $resultado["ZONA"];
        $datos[3]["MESA"] = $resultado["MESA"];
        $datos[4]["PERSONAS"] = $resultado["PERSONAS"];
        $datos[5]["SUBTOTAL"] = $resultado["SUBTOTAL"];
        $datos[6]["DESCUENTO"] = $resultado["DESCUENTO"];
        $datos[7]["TOTAL"] = $resultado["TOTAL"];
        //////////////////// AÑADIR A SERVIDOR ///////////////////////////
        $datos[8]["FECHA_HORA_EDT"] = $resultado["FECHA_HORA_EDT"];
    }
    return $datos;  
}

function get_productos_nota($id_nota){
    $reg=0;
    $datos=array();
    $query = query("CALL sp_cons_productos_nota(1,'$id_nota')");
    while($resultado=mysqli_fetch_assoc($query))
    {
        ///AÑADIR A SERVIDOR 
        $datos[$reg]["ID"]=$resultado["ID"];
        $datos[$reg]["PRO_NOMBRE"]=$resultado["PRO_NOMBRE"];
        $datos[$reg]["CANTIDAD"]=$resultado["CANTIDAD"];
        $datos[$reg]["PRECIO"]=$resultado["PRECIO"];
        //////////////////// AÑADIR A SERVIDOR ///////////////////////////
        $datos[$reg]["CLASIFICACION"]=$resultado["CLASIFICACION"];
        $datos[$reg]["TIEMPO"]=$resultado["TIEMPO"];
        $datos[$reg]["COMENTARIO"]=$resultado["COMENTARIO"];
        $datos[$reg]["COMENSAL"]=$resultado["COMENSAL"];
        $reg++;
    }
    
    return $datos;
}
?>